"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const interfaceAnalysis_1 = require("../../dataPackage/interfaceAnalysis");
const bizError_1 = require("../../util/bizError");
const cronJob_1 = require("./cronJob");
function changeDataProcess(interfaceName, interfaceData, config) {
    let result = {};
    for (let dataName in config) {
        let { type, operationsType, reflect, unitInfo } = config[dataName];
        let fileData = interfaceData[dataName];
        let fileType = typeof fileData;
        let dataIsArray = Array.isArray(fileData);
        if ((type == "array" && !dataIsArray) || (type == "object" && dataIsArray) ||
            (type == "object" && fileType != "object") || (type != "array" && fileType != type)) {
            throw new bizError_1.BizError(`接口 ${interfaceName}中的${dataName}类型错误应该为 ${type} 现在为${fileType}`);
        }
        let onceData;
        switch (operationsType) {
            case "object_ToList":
                onceData = interfaceAnalysis_1.changeObjectToList(fileData, reflect);
                break;
            case "object_changeKey":
                onceData = interfaceAnalysis_1.changeObjectKey(fileData, reflect);
                break;
            case "list_changeKey":
                onceData = interfaceAnalysis_1.changeListObjectToListByReflect(fileData, reflect);
                break;
        }
        if (unitInfo)
            onceData = interfaceAnalysis_1.designativListKeyAddUnit(onceData, unitInfo);
        result[dataName] = onceData;
    }
    return result;
}
function dtInterfaceData() {
    let dtinterfaceName = "地图";
    let dtData = cronJob_1.getInterfaceByInterfaceName(dtinterfaceName);
    /*
     shsxhzxshsxhzx = 上海市徐汇中学上海市徐汇中学 ;
     sycs = 涉疫场所 ;
     wycs = 无疫场所 ;
    
    */
    let config = { "shsxhzxshsxhzx": { "type": "array", "operationsType": "list_changeKey", "reflect": "", "unitInfo": {} }, "sycs": { "type": "object", "operationsType": "object_ToList", "reflect": "", "unitInfo": {} }, "wycs": { "type": "object", "operationsType": "object_ToList", "reflect": "", "unitInfo": {} } };
    let interfaceData = Object.assign({}, dtData);
    let changeData = changeDataProcess('地图', interfaceData, config);
    //todo 剩下的就是将excel定好的数据和interface的数据关联起来了
}
//# sourceMappingURL=dtData.js.map