"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yqcthypTableData = void 0;
const planaryArrayAnalysis_1 = require("../../dataPackage/planaryArrayAnalysis");
const analysisExcel_1 = require("../../util/analysisExcel");
function packageDataProcess(blockDataList, titltListConfig, keyValueOrTitleList, barChartList, stringList, decollatePlanarList) {
    let result = {};
    for (let i = 0; i < blockDataList.length; i++) {
        let { blockData, blockTitle } = blockDataList[i];
        if (keyValueOrTitleList.indexOf(blockTitle) > -1) {
            let titleList = titltListConfig[blockTitle] || [];
            result[blockTitle] = planaryArrayAnalysis_1.planarArrForObjectList(blockData, 0, titleList);
        }
        else if (barChartList.indexOf(blockTitle) > -1) {
            result[blockTitle] = planaryArrayAnalysis_1.planarArrDeconstruct(blockData);
        }
        else if (stringList.indexOf(blockTitle) > -1)
            result[blockTitle] = planaryArrayAnalysis_1.planarArrForObjectList(blockData);
        else if (decollatePlanarList.indexOf(blockTitle) > -1)
            result[blockTitle] = planaryArrayAnalysis_1.planarArrDecollateForIndex(blockData);
    }
    return result;
}
function yqcthypTableData() {
    let blockDataList = analysisExcel_1.onceSheetBecomeOfblockData('徐汇数据模板.xlsx', '疫情常态化右屏');
    let keyValueOrTitleList = ["涉疫缺勤情况汇总"]; //适配 饼图 键值以及需要多个key的
    let barChartList = ["筛查数量趋势"]; //适配 柱状图 折线图 
    let stringList = [];
    let decollatePlanarList = ["今日核酸筛查", "学校周边涉疫信息", "涉疫缺勤情况"]; //适配 表格
    let titltListConfig = {};
    let result = packageDataProcess(blockDataList, titltListConfig, keyValueOrTitleList, barChartList, stringList, decollatePlanarList);
    return result;
}
exports.yqcthypTableData = yqcthypTableData;
//# sourceMappingURL=yqcthypData.js.map