
import { changeListObjectToListByReflect, changeObjectKey, changeObjectToList, designativListKeyAddUnit, getDesignativByReflect } from "../../dataPackage/interfaceAnalysis";
import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

        
function changeDataProcess(interfaceName, interfaceData, config) {
    let result = {};
    for (let dataName in config) {
        let { type, operationsType, reflect, unitInfo } = config[dataName];
        let fileData = interfaceData[dataName];
        let fileType = typeof fileData;
        let dataIsArray = Array.isArray(fileData);

        if ( (type == "array" && !dataIsArray) || (type == "object" && dataIsArray) || 
            (type == "object" && fileType != "object") || (type != "array" && fileType != type) ) {
            throw new BizError(`接口 ${interfaceName}中的${dataName}类型错误应该为 ${type} 现在为${fileType}`);
        }

        let onceData;
        switch (operationsType) {
            case "object_ToList": onceData= changeObjectToList(fileData, reflect); break;
            case "object_changeKey": onceData = changeObjectKey(fileData, reflect); break;
            case "list_changeKey": onceData = changeListObjectToListByReflect(fileData, reflect); break;
        }

        if (unitInfo) onceData = designativListKeyAddUnit(onceData, unitInfo);

        result[dataName] = onceData;
    }

    return result;
}


function yqcthzpInterfaceData() {
    
    let yqcthzpinterfaceName = "疫情常态化左屏";
    let yqcthzpData:any = getInterfaceByInterfaceName(yqcthzpinterfaceName);
            
    /*
     yjsqshhm = 预警数趋势红黄码 ;
     yjsqshs = 预警数趋势核酸 ;
     yjsqstw = 预警数趋势体温 ;
     yjryzb = 预警人员占比 ;
     szsb = 数字哨兵 ;
     drkq = 当日考勤 ;
    
    */
    let config = {"yjsqshhm":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"yjsqshs":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"yjsqstw":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"yjryzb":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"szsb":{"type":"object","operationsType":"object_ToList","reflect":"","unitInfo":{}},"drkq":{"type":"object","operationsType":"object_ToList","reflect":"","unitInfo":{}}};

    let interfaceData = Object.assign({}, yqcthzpData );
    let changeData = changeDataProcess('疫情常态化左屏', interfaceData, config);
    //todo 剩下的就是将excel定好的数据和interface的数据关联起来了

}
